Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000318 [Yate - Yet Another Telephony Engine] module minor always 2012-09-28 16:06 2012-11-07 16:34
Reporter Vladislav View Status public  
Assigned To marian
Priority normal Resolution fixed  
Status resolved   Product Version 4.x
Summary 0000318: yate 4.2.0.2 and last svn do not gtalk call to gtalk client on android version 4.0.2 4.0.3
Description Hello.
yate 4.2.0.2 and last svn do not gtalk call to gtalk client on android version 4.0.2-4.0.3. In attachment log of bad call and good call to android version 3. One log with option in regexroute checkcalled=false.
Additional Information
Tags No tags attached.
Attached Files log file icon gtalk_bad.log [^] (4,008 bytes) 2012-09-28 16:06
log file icon gtalk_bad_checkcalled_false.log [^] (10,540 bytes) 2012-09-28 16:07
log file icon gtalk_good.log [^] (11,172 bytes) 2012-09-28 16:07
txt file icon jingle.txt [^] (20,854 bytes) 2012-11-05 16:04
txt file icon jingle2.txt [^] (18,784 bytes) 2012-11-07 15:12
txt file icon jingle3.txt [^] (25,061 bytes) 2012-11-07 15:38
txt file icon jingle4.txt [^] (40,747 bytes) 2012-11-07 16:02
txt file icon jingle5.txt [^] (6,180 bytes) 2012-11-07 16:34

- Relationships

-  Notes
(0000477)
marian (developer)
2012-10-15 11:14

Added android node caps check in svn rev. 5293.
Please update and check.
If not working, please attach a jingle conversation log.
(0000479)
Vladislav (reporter)
2012-11-05 16:04
edited on: 2012-11-05 16:05

Sorry, was ill. Same - not good result. Log in attach - jingle.txt.

(0000480)
marian (developer)
2012-11-05 16:24

The jingle.txt file shows a call attempt to 'halt@gmail.com'.
There are 2 resources advertised for this contact:
imo120508BA
android286c2e3ded4e
None of them advertise jingle audio support.
That explains why the call fails.
(0000481)
Vladislav (reporter)
2012-11-06 10:55

Yes is specialty of gtalk in android device. Was same problem in asterisk. This patch ( https://issues.asterisk.org/jira/browse/ASTERISK-18084?page=com.atlassian.jira.plugin.system.issuetabpanels%3Aall-tabpanel#issue-tabs [^] ) for version 1.8.4 is one way to resolve.
(0000482)
marian (developer)
2012-11-06 14:13

The patch you indicated handles the changes in GMail to support jingle as defined in XEP 0166, not related to our issue here.
The last log shows presence from resources without audio support, there is nothing to be done in those situations. If audio support is not advertised by contact resource it won't be picked up to call it.
If you want to check Rev. 5293 use an android client advertising ext="voice-v1" in presence.
(0000484)
Vladislav (reporter)
2012-11-06 17:40

ok thanks check.
(0000485)
marian (developer)
2012-11-07 16:18

Last reporter log indicates the issue was resolved.

- Issue History
Date Modified Username Field Change
2012-09-28 16:06 Vladislav New Issue
2012-09-28 16:06 Vladislav File Added: gtalk_bad.log
2012-09-28 16:07 Vladislav File Added: gtalk_bad_checkcalled_false.log
2012-09-28 16:07 Vladislav File Added: gtalk_good.log
2012-10-15 11:14 marian Note Added: 0000477
2012-11-05 16:04 Vladislav Note Added: 0000479
2012-11-05 16:04 Vladislav File Added: jingle.txt
2012-11-05 16:05 Vladislav Note Edited: 0000479
2012-11-05 16:24 marian Note Added: 0000480
2012-11-06 10:55 Vladislav Note Added: 0000481
2012-11-06 14:13 marian Note Added: 0000482
2012-11-06 17:40 Vladislav Note Added: 0000484
2012-11-07 15:12 Vladislav File Added: jingle2.txt
2012-11-07 15:38 Vladislav File Added: jingle3.txt
2012-11-07 16:02 Vladislav File Added: jingle4.txt
2012-11-07 16:18 marian Note Added: 0000485
2012-11-07 16:18 marian Status new => resolved
2012-11-07 16:18 marian Resolution open => fixed
2012-11-07 16:18 marian Assigned To => marian
2012-11-07 16:34 Vladislav File Added: jingle5.txt


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker